﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace IGCheckboxTree
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {     
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new SetupChangesVM();
        }

        void LabelSizeChanged(object sender, SizeChangedEventArgs e)
        {
            CellValuePresenter cvp = sender as CellValuePresenter;
            foreach (FieldLayout fl in xgrid1.FieldLayouts)
            {
               fl.Fields[cvp.Field.Index].Width = new FieldLength(e.NewSize.Width);               
            }
        }
      

        private void xgrid1_AssigningFieldLayoutToItem(object sender, Infragistics.Windows.DataPresenter.Events.AssigningFieldLayoutToItemEventArgs e)
        {
            if (e.ParentExpandableFieldRecord != null)
            {
                e.FieldLayout = (sender as XamDataGrid).FieldLayouts["Child"];
            }
            else
            {
                e.FieldLayout = (sender as XamDataGrid).FieldLayouts["Parent"];
            }
        }        
    }
}
